Package org.opensaml.profile.context

# Class PreviousEventContext<EventType>

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.profile.context.EventContext
org.opensaml.profile.context.PreviousEventContext<EventType>

Type Parameters:
  `EventType` - the event type of the context

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class PreviousEventContext<EventType> extends EventContext
A context component which holds the last result produced by a profile action that produced an "event".

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Constructor Summary

Constructors
Constructor
Description
`PreviousEventContext()`

## Method Summary

### Methods inherited from class org.opensaml.profile.context.EventContext

`getEvent, setEvent`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### PreviousEventContext

public PreviousEventContext()